SVNReplayHandler (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.admin.SVNReplayHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.admin
Class SVNReplayHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.admin.SVNReplayHandler

All Implemented Interfaces:
  ISVNReplayHandler

public class SVNReplayHandler
extends Object
implements ISVNReplayHandler

`SVNReplayHandler` is an implementation of `ISVNReplayHandler` that is used in `SVNAdminClient.doSynchronize(org.tmatesoft.svn.core.SVNURL)`.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNReplayHandler(SVNRepository targetRepository, boolean hasCommitRevPropsCapability, ISVNLogEntryHandler logEntryHandler, org.tmatesoft.svn.util.ISVNDebugLog debugLog, ISVNEventHandler canceller, SVNAdminClient adminClient)` Creates a new replay handler.

Method Summary
`void` | `handleEndRevision(long revision, SVNProperties revisionProperties, ISVNEditor editor)` Handles the end of replaying a next revision.
`ISVNEditor` | `handleStartRevision(long revision, SVNProperties revisionProperties)` Handles the start of replaying a next revision and returns an editor through which the revision will be replayed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNReplayHandler

    public SVNReplayHandler(SVNRepository targetRepository,
                            boolean hasCommitRevPropsCapability,
                            ISVNLogEntryHandler logEntryHandler,
                            org.tmatesoft.svn.util.ISVNDebugLog debugLog,
                            ISVNEventHandler canceller,
                            SVNAdminClient adminClient)

  Creates a new replay handler.

Parameters:
  `targetRepository` -
  `hasCommitRevPropsCapability` -
  `logEntryHandler` -
  `debugLog` -
  `canceller` -
  `adminClient` -

Method Detail

### handleStartRevision

    public ISVNEditor handleStartRevision(long revision,
                                          SVNProperties revisionProperties)
                                   throws SVNException

  Description copied from interface: `ISVNReplayHandler`
  Handles the start of replaying a next revision and returns an editor through which the revision will be replayed.

  Specified by:
    `handleStartRevision` in interface `ISVNReplayHandler`
  Parameters:
    `revision` -
    `revisionProperties` -
  Returns:
    editor to replicate the revision
  Throws:
    `SVNException`

### handleEndRevision

    public void handleEndRevision(long revision,
                                  SVNProperties revisionProperties,
                                  ISVNEditor editor)
                           throws SVNException

  Description copied from interface: `ISVNReplayHandler`
  Handles the end of replaying a next revision. In this method the implementor should close the `editor`.

  Specified by:
    `handleEndRevision` in interface `ISVNReplayHandler`
  Parameters:
    `revision` -
    `revisionProperties` -
    `editor` -
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.